package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: OfficialLetterUploadReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:24
 */
@Data
public class Nft006OfficialLetterUploadRespDto implements Serializable {
    /**
     * 图片id
     */
    private Integer id;

    private static final Nft006OfficialLetterUploadRespDto obj = new Nft006OfficialLetterUploadRespDto();
    public static Nft006OfficialLetterUploadRespDto getNew() {
        try {
            return (Nft006OfficialLetterUploadRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft006OfficialLetterUploadRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
